
i = imread('pic2.jpg');
imshow(i);
axis('square');
disp('(1) Original picture. - Press enter ...')
pause;

f = ones(3) / 9;
ig = rgb2gray(i);
g = filter2(f,ig);
ug = uint8(g);
imshow(ug);
axis('square');
disp('(2) blur - Press enter ...')
pause;

f = [ -1 -2 -1 ; 0 0 0 ; 1 2 1 ];
sx = filter2(f,g);
usx = uint8(sx);
imshow(usx);
axis('square');
disp('(3) Sobel operator (horizontal) - Press enter ...')
pause;

f = [ -1 0 1 ; -2 0 2 ; -1 0 1 ];
sy = filter2(f,g);
usy = uint8(sy);
imshow(usy);
axis('square');
disp('(4) Sobel operator (vertical) - Press enter ...')
pause;

s = abs(sx) + abs(sy);
us = uint8(s);
imshow(us);
axis('square');
disp('(5) Sobel operator - Press enter ...')
pause;
